Your message dated Sat, 19 Sep 2009 00:32:05 +0000
with message-id <[email protected]>
and subject line Bug#547330: fixed in ufw 0.29-4
has caused the Debian Bug report #547330,
regarding ufw: missing period (.) in update-rc.d call, fails to configure
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
547330: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=547330
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: ufw
Version: 0.29-3
Severity: normal
Tags: patch


As you can see, the period is missing, so it dies when the install calls dpkg 
--configure.

simon

--- /var/lib/dpkg/info/ufw.postinst.bak 2009-09-17 18:34:36.000000000 -0400
+++ /var/lib/dpkg/info/ufw.postinst     2009-09-18 12:55:32.000000000 -0400
@@ -130,7 +130,7 @@
 
 # Automatically added by dh_installinit
 if [ -x "/etc/init.d/ufw" ]; then
-       update-rc.d ufw start 39 S . stop 39 1 >/dev/null || exit $?
+       update-rc.d ufw start 39 S . stop 39 1 . >/dev/null || exit $?
 fi
 # End automatically added section
 # Automatically added by dh_pycentral


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (995, 'unstable'), (990, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-acahkos
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ufw depends on:
ii  cdebconf [debconf-2.0]        0.145      Debian Configuration Management Sy
ii  debconf [debconf-2.0]         1.5.27     Debian configuration management sy
ii  iptables                      1.4.4-2    administration tools for packet fi
ii  python                        2.5.4-3    An interactive high-level object-o
ii  python-central                0.6.11     register and build utility for Pyt
ii  ucf                           3.0022     Update Configuration File: preserv

ufw recommends no packages.

ufw suggests no packages.

-- debconf information:
* ufw/enable: false
  ufw/existing_configuration:
  ufw/allow_known_ports:
  ufw/allow_custom_ports:



--- End Message ---
--- Begin Message ---
Source: ufw
Source-Version: 0.29-4

We believe that the bug you reported is fixed in the latest version of
ufw, which is due to be installed in the Debian FTP archive:

ufw_0.29-4.diff.gz
  to pool/main/u/ufw/ufw_0.29-4.diff.gz
ufw_0.29-4.dsc
  to pool/main/u/ufw/ufw_0.29-4.dsc
ufw_0.29-4_all.deb
  to pool/main/u/ufw/ufw_0.29-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jamie Strandboge <[email protected]> (supplier of updated ufw package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Sep 2009 13:26:53 -0500
Source: ufw
Binary: ufw
Architecture: source all
Version: 0.29-4
Distribution: unstable
Urgency: low
Maintainer: Jamie Strandboge <[email protected]>
Changed-By: Jamie Strandboge <[email protected]>
Description: 
 ufw        - program for managing a Netfilter firewall
Closes: 547330
Changes: 
 ufw (0.29-4) unstable; urgency=low
 .
   * debian/rules: add missing dot for update-rc.d invocation (closes: #547330)
Checksums-Sha1: 
 fa3acc57e0be21f32b301baddb1235e7f29c3381 1185 ufw_0.29-4.dsc
 b981536dd99491b509f49c153f35dbb672f58bc2 25658 ufw_0.29-4.diff.gz
 7ae5490661d42681a74b0a5c563e03885c018243 111818 ufw_0.29-4_all.deb
Checksums-Sha256: 
 e37883b5b0423c1262cd887c951f792d58de3faeb7bb992524166da43b6ccda5 1185 
ufw_0.29-4.dsc
 0ba7158681f2f99bff7aadd93e877587197e0cc5a5fdbaf350b7e8d8a88c291e 25658 
ufw_0.29-4.diff.gz
 ad7e47452e31c3c9f4bf1e593aed85e2c6c801ca0bf71639fd9a78bc81ae2b32 111818 
ufw_0.29-4_all.deb
Files: 
 db7c772d6429eccd8d34e2ad6b6cf505 1185 admin optional ufw_0.29-4.dsc
 29975da2f4a9479a8523afb3eca2692d 25658 admin optional ufw_0.29-4.diff.gz
 e8474cb3950ac75142f6fda86e6bdcca 111818 admin optional ufw_0.29-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Kees Cook <[email protected]>

iEYEARECAAYFAkq0I9EACgkQH/9LqRcGPm2/0wCfSAqEyHdq3xmW/Hi7p/ewhY3m
7okAn3RY/x74G6slPg8r/GxuJzEtNe5K
=2KZp
-----END PGP SIGNATURE-----



--- End Message ---

Reply via email to